yumupdate报错,不知道怎么回事-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

yumupdate报错,不知道怎么回事

2015-01-30 21:09:45 19144 2
收到邮件“Linux Glibc库严重安全漏洞修复通知”,处理时候出错,不知道为什么yum update也报错了。麻烦帮忙看看什么问题
**********************************************************
# yum update
Loaded plugins: fastestmirror
Setting up Update Process
Loading mirror speeds from cached hostfile
* base: ftp.sjtu.edu.cn
* extras: ftp.sjtu.edu.cn
* rpmforge: mirrors.neusoft.edu.cn
* updates: ftp.sjtu.edu.cn
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
The program yum-complete-transaction is found in the yum-utils package.
--> Running transaction check
---> Package curl.x86_64 0:7.19.7-40.el6_6.1 will be updated
---> Package curl.x86_64 0:7.19.7-40.el6_6.4 will be an update
---> Package dhclient.x86_64 12:4.1.1-43.P1.el6.centos will be updated
---> Package dhclient.x86_64 12:4.1.1-43.P1.el6.centos.1 will be an update
---> Package dhcp-common.x86_64 12:4.1.1-43.P1.el6.centos will be updated
---> Package dhcp-common.x86_64 12:4.1.1-43.P1.el6.centos.1 will be an update
---> Package glibc-headers.x86_64 0:2.12-1.149.el6 will be updated
--> Processing Dependency: glibc-headers = 2.12-1.149.el6 for package: glibc-devel-2.12-1.149.el6.x86_64
---> Package glibc-headers.x86_64 0:2.12-1.149.el6_6.5 will be an update
---> Package kernel.x86_64 0:2.6.32-504.8.1.el6 will be installed
---> Package kernel-firmware.noarch 0:2.6.32-504.1.3.el6 will be updated
---> Package kernel-firmware.noarch 0:2.6.32-504.8.1.el6 will be an update
---> Package kernel-headers.x86_64 0:2.6.32-504.1.3.el6 will be updated
---> Package kernel-headers.x86_64 0:2.6.32-504.8.1.el6 will be an update
---> Package libcurl.x86_64 0:7.19.7-40.el6_6.1 will be updated
---> Package libcurl.x86_64 0:7.19.7-40.el6_6.4 will be an update
---> Package libcurl-devel.x86_64 0:7.19.7-40.el6_6.1 will be updated
---> Package libcurl-devel.x86_64 0:7.19.7-40.el6_6.4 will be an update
---> Package libssh2.x86_64 0:1.4.2-1.el6 will be updated
---> Package libssh2.x86_64 0:1.4.2-1.el6_6.1 will be an update
---> Package nss.x86_64 0:3.16.1-14.el6 will be updated
---> Package nss.x86_64 0:3.16.2.3-3.el6_6 will be an update
---> Package nss-softokn.x86_64 0:3.14.3-18.el6_6 will be updated
---> Package nss-softokn.x86_64 0:3.14.3-22.el6_6 will be an update
---> Package nss-softokn-freebl.x86_64 0:3.14.3-18.el6_6 will be updated
---> Package nss-softokn-freebl.x86_64 0:3.14.3-22.el6_6 will be an update
---> Package nss-sysinit.x86_64 0:3.16.1-14.el6 will be updated
---> Package nss-sysinit.x86_64 0:3.16.2.3-3.el6_6 will be an update
---> Package nss-tools.x86_64 0:3.16.1-14.el6 will be updated
---> Package nss-tools.x86_64 0:3.16.2.3-3.el6_6 will be an update
---> Package nss-util.x86_64 0:3.16.1-3.el6 will be updated
---> Package nss-util.x86_64 0:3.16.2.3-2.el6_6 will be an update
---> Package ntp.x86_64 0:4.2.6p5-1.el6.centos will be updated
---> Package ntp.x86_64 0:4.2.6p5-2.el6.centos will be an update
---> Package ntpdate.x86_64 0:4.2.6p5-1.el6.centos will be updated
---> Package ntpdate.x86_64 0:4.2.6p5-2.el6.centos will be an update
---> Package openssl.x86_64 0:1.0.1e-30.el6_6.4 will be updated
---> Package openssl.x86_64 0:1.0.1e-30.el6_6.5 will be an update
---> Package openssl-devel.x86_64 0:1.0.1e-30.el6_6.4 will be updated
---> Package openssl-devel.x86_64 0:1.0.1e-30.el6_6.5 will be an update
---> Package rpm.x86_64 0:4.8.0-37.el6 will be updated
---> Package rpm.x86_64 0:4.8.0-38.el6_6 will be an update
---> Package rpm-libs.x86_64 0:4.8.0-37.el6 will be updated
---> Package rpm-libs.x86_64 0:4.8.0-38.el6_6 will be an update
---> Package rpm-python.x86_64 0:4.8.0-37.el6 will be updated
---> Package rpm-python.x86_64 0:4.8.0-38.el6_6 will be an update
---> Package rsyslog.x86_64 0:5.8.10-9.el6_6 will be updated
---> Package rsyslog.x86_64 0:5.8.10-10.el6_6 will be an update
---> Package system-config-firewall-base.noarch 0:1.2.27-7.1.el6 will be updated
---> Package system-config-firewall-base.noarch 0:1.2.27-7.2.el6_6 will be an update
--> Finished Dependency Resolution
Error: Package: glibc-devel-2.12-1.149.el6.x86_64 (@base)
           Requires: glibc-headers = 2.12-1.149.el6
           Removing: glibc-headers-2.12-1.149.el6.x86_64 (@base)
               glibc-headers = 2.12-1.149.el6
           Updated By: glibc-headers-2.12-1.149.el6_6.5.x86_64 (updates)
               glibc-headers = 2.12-1.149.el6_6.5
           Available: glibc-headers-2.12-1.149.el6_6.4.x86_64 (updates)
               glibc-headers = 2.12-1.149.el6_6.4
You could try using --skip-broken to work around the problem
** Found 12 pre-existing rpmdb problem(s), 'yum check' output follows:
glibc-2.12-1.149.el6_6.5.x86_64 is a duplicate with glibc-2.12-1.149.el6.x86_64
glibc-common-2.12-1.149.el6_6.5.x86_64 is a duplicate with glibc-common-2.12-1.149.el6.x86_64
glibc-devel-2.12-1.149.el6_6.5.x86_64 is a duplicate with glibc-devel-2.12-1.149.el6.x86_64
glibc-devel-2.12-1.149.el6_6.5.x86_64 has missing requires of glibc-headers = ('0', '2.12', '1.149.el6_6.5')
lanmp_wdcp-2-5.el6.x86_64 has missing requires of perl(DBI)
lanmp_wdcp-2-5.el6.x86_64 has missing requires of perl(Time::HiRes)
lanmp_wdcp-2-5.el6.x86_64 has missing requires of perl(lib::mtr_gcov.pl)
lanmp_wdcp-2-5.el6.x86_64 has missing requires of perl(lib::mtr_gprof.pl)
lanmp_wdcp-2-5.el6.x86_64 has missing requires of perl(lib::mtr_io.pl)
lanmp_wdcp-2-5.el6.x86_64 has missing requires of perl(lib::mtr_misc.pl)
lanmp_wdcp-2-5.el6.x86_64 has missing requires of perl(lib::mtr_process.pl)
lanmp_wdcp-2-5.el6.x86_64 has missing requires of perl(mtr_misc.pl)
[font=微软雅黑, 'Microsoft Yahei', 'Hiragino Sans GB', tahoma, arial, 宋体]**********************************************************
取消 提交回答
全部回答(2)
  • 无唐
    2015-04-04 00:54:41
    Reyumupdate报错,不知道怎么回事
    $ rpm -qa | grep ntp
    ntp-4.2.6p5-3.el6.centos.x86_64
    ntp-4.2.6p5-2.el6.centos.x86_64
    ntpdate-4.2.6p5-2.el6.centos.x86_64
    $ sudo su -
    # rpm -e ntp-4.2.6p5-2.el6.centos.x86_64

    # yum update
    0 0
  • wyshn
    2015-03-23 13:16:59
    Reyumupdate报错,不知道怎么回事
    同问,求解答。

    我是在yum update以后,报错了,再然后就一直这样了。

    貌似是由于内存不足,升级失败了。

    [root@localhost ~]# yum update
    Loaded plugins: fastestmirror
    Setting up Update Process
    Loading mirror speeds from cached hostfile
    * base: mirrors.yun-idc.com
    * extras: mirrors.yun-idc.com
    * updates: mirror.bit.edu.cn
    Resolving Dependencies
    --> Running transaction check
    ---> Package kernel-devel.x86_64 0:2.6.32-504.12.2.el6 will be installed
    ---> Package ntpdate.x86_64 0:4.2.6p5-2.el6.centos will be updated
    --> Processing Dependency: ntpdate = 4.2.6p5-2.el6.centos for package: ntp-4.2.6p5-2.el6.centos.x86_64
    ---> Package ntpdate.x86_64 0:4.2.6p5-3.el6.centos will be an update
    --> Finished Dependency Resolution
    --> Running transaction check
    ---> Package kernel-devel.x86_64 0:2.6.32-431.29.2.el6 will be erased
    ---> Package ntpdate.x86_64 0:4.2.6p5-2.el6.centos will be updated
    --> Processing Dependency: ntpdate = 4.2.6p5-2.el6.centos for package: ntp-4.2.6p5-2.el6.centos.x86_64
    --> Finished Dependency Resolution
    Error: Package: ntp-4.2.6p5-2.el6.centos.x86_64 (@updates)
               Requires: ntpdate = 4.2.6p5-2.el6.centos
               Removing: ntpdate-4.2.6p5-2.el6.centos.x86_64 (@updates)
                   ntpdate = 4.2.6p5-2.el6.centos
               Updated By: ntpdate-4.2.6p5-3.el6.centos.x86_64 (updates)
                   ntpdate = 4.2.6p5-3.el6.centos
               Available: ntpdate-4.2.6p5-1.el6.centos.x86_64 (base)
                   ntpdate = 4.2.6p5-1.el6.centos
    You could try using --skip-broken to work around the problem
    ** Found 12 pre-existing rpmdb problem(s), 'yum check' output follows:
    dracut-004-356.el6_6.1.noarch is a duplicate with dracut-004-356.el6.noarch
    dracut-kernel-004-356.el6_6.1.noarch is a duplicate with dracut-kernel-004-356.el6.noarch
    freetype-2.3.11-15.el6_6.1.x86_64 is a duplicate with freetype-2.3.11-14.el6_3.1.x86_64
    freetype-devel-2.3.11-15.el6_6.1.x86_64 is a duplicate with freetype-devel-2.3.11-14.el6_3.1.x86_64
    kernel-firmware-2.6.32-504.12.2.el6.noarch is a duplicate with kernel-firmware-2.6.32-504.8.1.el6.noarch
    kernel-headers-2.6.32-504.12.2.el6.x86_64 is a duplicate with kernel-headers-2.6.32-504.8.1.el6.x86_64
    nspr-4.10.6-1.el6_5.x86_64 is a duplicate with nspr-4.10.2-1.el6_5.x86_64
    ntp-4.2.6p5-3.el6.centos.x86_64 is a duplicate with ntp-4.2.6p5-2.el6.centos.x86_64
    ntp-4.2.6p5-3.el6.centos.x86_64 has missing requires of ntpdate = ('0', '4.2.6p5', '3.el6.centos')
    4:perl-libs-5.10.1-136.el6.x86_64 has missing requires of perl = ('4', '5.10.1', '136.el6')
    4:perl-libs-5.10.1-136.el6_6.1.x86_64 is a duplicate with 4:perl-libs-5.10.1-136.el6.x86_64
    unzip-6.0-2.el6_6.x86_64 is a duplicate with unzip-6.0-1.el6.x86_64
    [root@localhost ~]#

    -------------------------

    Reyumupdate报错,不知道怎么回事
    有没高手给看看啊,谢谢啊。

    -------------------------

    ReReyumupdate报错,不知道怎么回事
    引用第3楼无唐于2015-04-04 00:54发表的 Reyumupdate报错,不知道怎么回事 :
    $ rpm -qa | grep ntp
    ntp-4.2.6p5-3.el6.centos.x86_64
    ntp-4.2.6p5-2.el6.centos.x86_64
    ntpdate-4.2.6p5-2.el6.centos.x86_64
    $ sudo su -
    ....... [url=http://bbs.aliyun.com/job.php?action=topost&tid=228430&pid=639472][/url]



    感谢!
    0 0
添加回答
相关问答

30

回答

云计算之路:为什么要选择云计算

cnblogs 2013-03-27 10:22:27 143188浏览量 回答数 30

162

回答

惊喜翻倍:免费ECS+免费环境配置~!(ECS免费体验6个月活动3月31日结束)

豆妹 2014-10-29 17:52:21 226258浏览量 回答数 162

145

回答

【新手入门】云服务器linux使用手册

fanyue88888 2012-11-26 17:14:18 157773浏览量 回答数 145

18

回答

阿里云开放端口权限

xcxx 2016-07-20 15:03:33 646897浏览量 回答数 18

38

回答

安全组详解,新手必看教程

我的中国 2017-11-30 15:23:46 259917浏览量 回答数 38

294

回答

Linux Bash严重漏洞修复紧急通知(已全部给出最终修复方案)

qilu 2014-09-25 13:26:50 434659浏览量 回答数 294

249

回答

阿里云LNAMP(Linux + Nginx + Apache + MySQL + PHP)环境一键安装脚本

云代维 2014-02-14 15:26:06 305721浏览量 回答数 249

97

回答

Redhat/CentOS一键安装web环境全攻略

xiaofanqie 2011-08-11 14:51:38 123746浏览量 回答数 97

40

回答

阿里云ecs从购买到环境搭建和建站!!(phpstudy一件包)

梦丫头 2014-07-29 20:51:49 162559浏览量 回答数 40

24

回答

【精品问答】python技术1000问(1)

问问小秘 2019-11-15 13:25:00 475908浏览量 回答数 24
+关注
0
文章
6
问答
问答排行榜
最热
最新
相关电子书
更多
《2021云上架构与运维峰会演讲合集》
立即下载
《零基础CSS入门教程》
立即下载
《零基础HTML入门教程》
立即下载